body {
  background: linear-gradient(to bottom right, #f4f9ff, #eef6ff);
}
/* Consistent For All Files */
#section-skills{
    background-color:white;
    height:100vh;
    padding-left:2rem;
    padding-right:2rem;
}
#section-skills #section-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:black;
    font-weight:bold;
    letter-spacing:0.05rem;
}
#section-skills #section-subtitle{
    font-size:0.9rem;
    margin-top:6rem;
    font-family: "Georgia, serif";
    color: #999;               
}
#section-skills #section-content{
    margin-top:3rem;
    margin-left:1rem;
}
/* Consistent For All Files */
#section-contact{
    background-color:white;
    height:100vh;
    padding-left:2rem;
    padding-right:2rem;
    margin-bottom:10rem;

}
#section-contact #section-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:#3949ab;  
    font-weight:bold;
    letter-spacing:0.05rem;
}
#section-contact #section-subtitle{
    font-size:0.9rem;
    margin-top:6rem;
    font-family: "Georgia, serif";
    color:#3949ab;                
}
#section-contact #section-content{
    margin-top:3rem;
}

/* End of Consistency */

#section-contact #section-content #section-content-info{
    display:flex;
    flex-direction:column;
    gap:2rem;
}
#section-content-info #section-content-email #section-content-email-name{
    display:flex;
    justify-content:center;
    align-items:center;
    color:#339CF1;
}

#section-contact #section-content #section-content-info #section-content-domain #section-content-location-domain{
    display:flex;
    justify-content:center;
    align-items:center;
}
#section-contact #section-content #section-content-info #section-content-domain #section-content-domain-name{
    display:flex;
    justify-content:center;
    align-items:center;
    color:#339CF1;
}
#section-contact #section-content #section-content-info #section-content-location #section-content-location-name{
    display:flex;
    justify-content:center;
    align-items:center;
    color:#339CF1;

}

#section-contact #section-content #section-content-contact #section-content-contact-form{
    display:flex;
    flex-direction:column;
    gap:1rem;
}
#section-contact #section-content #section-content-contact #section-content-contact-form .form-group input{
    padding-top:0.8rem;
    padding-left:1rem;
    padding-bottom:0.8rem;
    width:70%;
    border:none;
    margin-right:0;
    background-color:#F2F3F7;
}
#section-contact #section-content #section-content-contact #section-content-contact-form .form-group textarea{
    padding-top:0.8rem;
    padding-left:1.3rem;
    padding-bottom:0.8rem;
    border:none;
    margin-right:0;
    background-color:#F2F3F7;
    width:70%;
}
#section-contact #section-content #section-content-contact #section-content-contact-form button{
    border:none;
    padding-top:0.5rem;
    padding-bottom:0.5rem;
    color:white;
    background-color: #3949ab;
    width:70%;
}
#section-contact #section-content #section-content-contact #section-content-contact-form .form-group input:focus,#section-contact #section-content #section-content-contact #section-content-contact-form .form-group textarea:focus{
    border:none;
    outline:none;
    box-shadow:none;
}
/* Consistent For All Files */
#section-skills{
    background-color:white;
    height:100vh;
    padding-left:2rem;
    padding-right:2rem;
}
#section-skills #section-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:black;
    font-weight:bold;
    letter-spacing:0.05rem;
}
#section-skills #section-subtitle{
    font-size:0.9rem;
    margin-top:6rem;
    font-family: "Georgia, serif";
    color: #999;               
}
#section-skills #section-content{
    margin-top:3rem;
    margin-left:1rem;
}
#section-skills #section-content #section-content-description #section-content-title{
    font-size:1.3rem;
    margin-bottom:0.7rem;
}
#section-skills #section-content #section-content-description #section-content-title #section-content-subtitles{
    padding-left:0.5rem;
    font-size:1rem;
}
#section-skills #section-content #section-content-description #section-content-title #section-content-subtitles div{
    margin-bottom:0.7rem;
    font-size:1.1rem;
}
#section-skills #section-content #section-content-description #section-content-title #section-content-subtitles div > span{
    font-weight:bold;
}

#section-home{
    background-color:white;
    padding-top:6rem;
}
#col1 #title, #col2 #title{
    color:#3949ab;
}
#section-resume{
    display:flex;
    justify-content:center;
    margin-top:1rem;
}
#section-resume a{
    font-size:1.5rem;
    font-weight:bold;
    color:#3949ab;
    text-decoration:none;
}
#section-name{
    text-align:center;
    font-weight:bold;
    font-size:1.7rem;
    /* extra */
    color:#3949ab;

}
#section-subname{
    text-align:center;
    font-size:1.3rem;
    /* extra */
    color:#3949ab;
}
#section-description{
    margin-left:2rem;
    font-size:1.1rem;
    margin-top:1rem;
}
#section-sections{
    margin-top:2rem;
    margin-left:0rem;
    display:flex;
    justify-content:center;
    column-gap:1rem;
    row-gap:1rem;
    margin-bottom:2rem;
}
#section-sections .col-md-3.col-sm-3.col-lg-3, #section-sections .col-md-4.col-sm-4.col-lg-4{
    border-radius:10px;
    border:2px solid #3949ab;;
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.25);
}
#section-sections .col-md-3.col-sm-3.col-lg-3 span, #section-sections .col-md-4.col-sm-4.col-lg-4 span{
    font-size:1.2rem;
    color:#3949ab;
    font-weight:400;
}
#section-sections .col-md-3.col-sm-3.col-lg-3:hover,
#section-sections .col-md-4.col-sm-4.col-lg-4:hover {
    border-radius: 11px;
    box-shadow:
        0 8px 20px rgba(0, 0, 0, 0.35),
        0 22px 55px rgba(0, 0, 0, 0.45);
}

/* */

#tutorials_page{
    background-color:white;
    padding-top:1.5rem;
}
#tutorials_page #tutorials #videos div{
    padding-left:2rem;
    margin-bottom:1rem;
}

#tutorials_page #section-title{
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
    letter-spacing:0.05rem;
}
#tutorials_page #section-subtitle{
    font-size:0.9rem;
    margin-top:5rem;
    font-family: "Georgia, serif";
    color:#3949ab;  
}
#tutorials_page #section-title a{
    text-decoration:none;
    color:#3949ab;
}
#tutorials_page #tutorials .col-md-12.col-sm-12.col-lg-12{
    margin-left:0px;
    padding-left:0px;
}
#blogs_page{
    background-color:white;
    padding-top:1.5rem;
    margin-bottom:5rem;
}
#blogs_page #section-title{
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
    letter-spacing:0.05rem;
}
#blogs_page #section-title a{
    text-decoration:none;
    color:#3949ab;
}
#blogs_page #section-subtitle{
    font-size:0.9rem;
    margin-top:5rem;
    font-family: "Georgia, serif";
    color:#3949ab;  
}

#blogs_page #blogs{
    margin-top:2rem;
}
#blogs_page #blogs #blog{
    background-color:#eef6ff;
    padding:0.5rem;
    margin-bottom:1rem;
}
#blogs_page #blogs #blog #title{
    font-weight:bold;
    font-size:1rem;
}
#blogs_page #blogs #blog #publishedAt{
    font-size:0.75rem;
    padding-left:1.2rem;
    font-style:italic;
}
#blogs_page #blogs #blog #title a{
    color:#3949ab;
    text-decoration:none;
}

#tutorials_page #tutorials .col-md-12.col-sm-12.col-lg-12 a::first-letter{
    text-transform:uppercase;
}
#projects_page{
    background-color:white;
    padding-top:1.5rem;
    padding-left:2rem;
}
#projects_page #projects{
    margin-top:3rem;
    margin-left:2rem;
}
#projects_page #section-title{
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
    letter-spacing:0.05rem;
}

#projects_page #section-title a{
    text-decoration:none;
    color:#3949ab;
}

#projects_page #section-subtitle{
    font-size:0.9rem;
    margin-top:5rem;
    font-family: "Georgia, serif";
    color:#3949ab;  
}
#projects_page #projects .project #features .element:first-of-type{
    margin-top: 10rem;
}

#projects_page #projects .project #features #title{
    font-size:1.2rem;
    font-weight:bold;
    color:black;
}

#projects_page #projects .project #title span:last-of-type{
    font-size:14px;
    font-style:italic;
}


#projects_page #projects .project #features .element ul{
    font-size:1.0rem;
    color:black;
    font-weight:bold;
}
#projects_page #projects .project #features .element ul li{
    margin-left:2rem;
    font-weight:normal;
}

#projects_page .project:nth-last-child(n+1){
    margin-bottom:1rem;
}
#projects_page .project:nth-last-child(1){
    margin-top:1rem;
    margin-bottom:3rem;
}
#projects_page .project #title span:nth-child(1){
    font-size:2rem;
    font-weight:bold;
}
#projects_page .project #links{
    margin-right:35px;
    
}
#projects_page .project #links a{
    border-radius:5px;
    padding:4px;
    padding-bottom:4px;
    background: #FAFAFA;
    text-decoration:none;
    color:black;
    border:2px solid #3949ab;
}
#projects_page .project #links a:hover{
    transform:scale(2.0);
    border:1px solid black;
    padding:0.3rem;
}
#projects_page .project #links{
    margin-bottom:10px;
    margin-top:8px;
}
#projects_page .project #languages #title{
    font-weight:bold;
    font-size:1.2rem;
}
#projects_page .project #more a{
    color:#3949ab;
    font-size:1.1rem;
    text-decoration:none;
}
#sidenavbar {
    height: 100vh;
    /*extra*/
    background: linear-gradient(to bottom right, #f4f9ff, #eef6ff);
}
#sidenavbar #person #image{
    display:flex;
    justify-content:center;
    margin-top:2.1875rem;
    margin-bottom:0.5rem;
    max-width:100%;
    height:auto;
}
#sidenavbar #person #name{
    font-size:1.5rem;
    padding:3px;
    font-weight:bold;
    text-align:center;
    color:#3949ab;
}
#sidenavbar #person #description{
    padding:3px;
    margin-bottom:1.5625rem;
    text-align:center;
    color:#48484A;
}
#sidenavbar #person #description span{
    color:#3949ab;
}
#sidenavbar #links{
    display:flex;
    justify-content:center;
    flex-direction:column;
    gap:0.5rem;
}
#sidenavbar #links a{
    font-family: Georgia, serif;
    color:#48484A;
    text-align:center;
    padding-bottom:0.1875rem;
    text-decoration:none;
}
#sidenavbar #links a:hover{
    text-decoration:underline;
    text-decoration-color:#3949ab;;

}
#section-skills {
    height: 100%;   /* key fix */
    background-color: white;
    padding-left: 2rem;
    padding-right: 2rem;
    padding-bottom: 2rem;
}

#section-skills #section-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
    letter-spacing:0.05rem;
}
#section-skills #section-subtitle{
    font-size:0.9rem;
    margin-top:6rem;
    font-family: "Georgia, serif";
    color:#3949ab; 
}
#section-skills #section-content{
    margin-top:3rem;
    margin-left:1rem;
}

#section-skills #section-content #section-content-languages #section-content-languages-first-column >div,
#section-skills #section-content #section-content-languages #section-content-languages-second-column >div
{
    padding-top:1rem;
    padding-bottom:1rem;
    padding-left:1rem;
    padding-right:1rem;
}
#section-skills #section-content #section-content-languages #section-content-languages-first-column >div label,
#section-skills #section-content #section-content-languages #section-content-languages-second-column >div label{
    font-size:1.1rem;
    padding-bottom:0.2rem;
}
#section-skills #section-content #section-content-languages #section-content-languages-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
}


#section-skills #section-content #section-content-frameworks #section-content-frameworks-first-column >div,
#section-skills #section-content #section-content-frameworks #section-content-frameworks-second-column >div
{
    padding-top:1rem;
    padding-bottom:1rem;
    padding-left:1rem;
    padding-right:1rem;
}
#section-skills #section-content #section-content-frameworks #section-content-frameworks-first-column >div label,
#section-skills #section-content #section-content-frameworks #section-content-frameworks-second-column >div label{
    font-size:1.1rem;
    padding-bottom:0.2rem;
}
#section-skills #section-content #section-content-frameworks #section-content-frameworks-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
}


#section-skills #section-content #section-content-tools #section-content-tools-first-column >div,
#section-skills #section-content #section-content-tools #section-content-tools-second-column >div
{
    padding-top:1rem;
    padding-bottom:1rem;
    padding-left:1rem;
    padding-right:1rem;
}
#section-skills #section-content #section-content-tools #section-content-tools-first-column >div label,
#section-skills #section-content #section-content-tools #section-content-tools-second-column >div label{
    font-size:1.1rem;
    padding-bottom:0.2rem;
}
#section-skills #section-content #section-content-tools #section-content-tools-title{
    margin-top:0.5rem;
    font-size:1.5rem;
    color:#3949ab;
    font-weight:bold;
}